import SwiftUI

struct AlocarEspacoAssento: View {
    
    var numero: Int
    
    @Binding var assentosBloqueados : [Int]

    var body: some View {
        ZStack {
            
            if assentosBloqueados.contains(numero) {
                RoundedRectangle(cornerRadius: 6)
                .stroke(Color.gray ,lineWidth: 2)
                .background(Color.gray)
                .overlay(Image(systemName: "xmark"))
                .frame(height: 30)
            } else {
                RoundedRectangle(cornerRadius: 6)
                    .stroke(Color.green ,lineWidth: 2)
                    .background(Color.green)
                    .frame(height: 30)
                
            }
        }
    }
}

struct AlocarEspacoAssento_Previews: PreviewProvider {
    static var previews: some View {
        AlocarEspacoAssento(numero: 1,assentosBloqueados: .constant([1,3]))
    }
}
