import SwiftUI

struct AssentoItem: View {
    @State var status: String
    
    var body: some View {
        ZStack {
            
            if status == "BLOQUEADO" {
                RoundedRectangle(cornerRadius: 6)
                    .stroke(Color.gray ,lineWidth: 2)
                    .background(Color.gray)
                    .overlay(Image(systemName: "xmark"))
                    .frame(height: 30)
            }  else if status == "LIVRE" {
                RoundedRectangle(cornerRadius: 6)
                    .stroke(Color.green ,lineWidth: 2)
                    .background(Color.green)
                    .frame(height: 30)
                
            } else {
                RoundedRectangle(cornerRadius: 6)
                    .stroke(Color.red ,lineWidth: 2)
                    .background(Color.red)
                    .frame(height: 30)
                
            }
        }
    }
}

struct AssentoItem_Previews: PreviewProvider {
    static var previews: some View {
        AssentoItem(status: "LIVRE")
    }
}
