import SwiftUI

struct VistaAssentos: View {
    
    @State var total_assentos_linhas: Int
    @State var total_assentos_colunas: Int
    @State var assentos: [Assento]
    
    init(total_assentos_linhas: Int, total_assentos_colunas: Int,assentos: [Assento]) {
        self.total_assentos_linhas = total_assentos_linhas
        self.total_assentos_colunas = total_assentos_colunas
        self.assentos = assentos
    }
    
    var body: some View {
        let colunas = Array(repeating: GridItem(.flexible(), spacing: 10), count:total_assentos_colunas)
        LazyVGrid(columns: colunas, spacing: 13) {
            ForEach(assentos , id: \.id) { assento in
                AssentoItem(status: assento.status)
            }
        }
    }
}

