import Foundation

struct EventoResponse: Decodable {
    var id: Int
    var titulo: String
    var descricao: String
    var data: String
    var total_assentos_linha: Int
    var total_assentos_coluna: Int
    var codigo: String
    var imagem: String
    var link: String
    var assentos: [Assento]
    var permissaoAlterar: Bool?
}

struct Assento: Decodable{
    var id: Int
    var status: String
    var numeracao: Int
}

struct Criador: Decodable {
    var id: String
    var nome: String
    var foto: String
}
