import { Evento } from './../entidades/Evento.entity';

export interface IEventoRepositorio {
    salvar(evento: Evento): Promise<void>
    findUltimosEventos(): Promise<Evento[]>
    findById(id: number): Promise<Evento>
    findByCodigo(codigo: string): Promise<Evento>
    apagar(evento: Evento): Promise<void>
    getParticipacoes(eventoId: number): Promise<any>
}