import { Evento } from './../../entidades/Evento.entity';
import { IEventoRepositorio } from './../../repositorios/IEventoRepositorio';
export class ConsultarUltimosEventosUseCase {

    constructor(private eventoRepositorio: IEventoRepositorio) {}

    async execute(): Promise<Evento[]> {
        const eventos = await this.eventoRepositorio.findUltimosEventos()
        return eventos
    }
}