import { ConsultarUltimosEventosController } from './consultarUltimosEventosController';
import { EventoRepositorio } from './../../repositorios/implementacao/EventoRepositorio';
import { ConsultarUltimosEventosUseCase } from './consultarUltimosEventosUseCase';

const eventoRepositorio = new EventoRepositorio()
const consultarUltimosEventosUseCase = new ConsultarUltimosEventosUseCase(
    eventoRepositorio
)
const consultarUltimosEventosController = new ConsultarUltimosEventosController(
    consultarUltimosEventosUseCase
)

export { consultarUltimosEventosController , consultarUltimosEventosUseCase }