import { AdicionarUsuarioController } from './adicionarUsuarioController';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';
import { AdicionarUsuarioUseCase } from './AdicionarUsuarioUseCase';

const usuarioRepositorio = new UsuarioRepositorio()
const adicionarUsuarioUseCase = new AdicionarUsuarioUseCase(
    usuarioRepositorio
)
const adicionarusuarioController = new AdicionarUsuarioController(
    adicionarUsuarioUseCase
)

export { adicionarUsuarioUseCase , adicionarusuarioController }