import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';

export class AtualizarFotoPerfilUseCase {

    constructor(private usuarioRepositorio: IUsuarioRepositorio) {}

    async execute(id: number ,  imagem: string) {
        const usuario = await this.usuarioRepositorio.findById(id)
        if (!usuario) {
            throw new Error('Usuario não existe')
        }        
        await this.usuarioRepositorio.updateFotoPerfil(imagem,usuario.id)
    }
}