import { AtualizarUsuarioDTO } from './atualizarUsuarioDTO';
import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';
export class AtualizarusuarioUseCase {

    constructor(private usuarioRepositorio: IUsuarioRepositorio) {}

    async execute(data: AtualizarUsuarioDTO, id: number) {
        const usuario = await this.usuarioRepositorio.findById(id)
        if (!usuario) {
            throw new Error('Usuario não existe')
        }        
        await this.usuarioRepositorio.updateInformacoes(data, id)
    }

}