import { AtualizarUsuarioController } from './atualizarUsuarioController';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';
import { AtualizarusuarioUseCase } from './atualizarUsuarioUseCase';

const usuarioRepositorio = new UsuarioRepositorio()
const atualizarUsuarioUseCase = new AtualizarusuarioUseCase(
    usuarioRepositorio
)
const atualizarUsuarioController = new AtualizarUsuarioController(
    atualizarUsuarioUseCase
)

export { atualizarUsuarioController , AtualizarusuarioUseCase }