import { IEventoRepositorio } from './../../repositorios/IEventoRepositorio';
import { Evento } from '../../entidades/Evento.entity';


export class ConsultarEventoUseCase {

    constructor(private eventoRepositorio: IEventoRepositorio) {}

    async execute(codigo: string): Promise<Evento> {
        const evento = await this.eventoRepositorio.findByCodigo(codigo)
        return evento    
    }
}