import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';
export class ConsultarEventosCriadosUseCase {

    constructor(private usuarioRepositorio: IUsuarioRepositorio) {}

    async execute(usuarioId: number): Promise<any> {
        const eventos = await this.usuarioRepositorio.getMeusEventos(usuarioId)
        return eventos
    }
}