import { ConsultarEventosCriadosController } from './consultarEventosCriadosController';
import { ConsultarEventosCriadosUseCase } from './consultarEventosCriadosUseCase';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';


const usuarioRepositorio = new UsuarioRepositorio()
const consultarEventosCriadosUseCase = new ConsultarEventosCriadosUseCase(
    usuarioRepositorio
)
const consultarEventosCriadosController = new ConsultarEventosCriadosController(
    consultarEventosCriadosUseCase
)

export { consultarEventosCriadosController , consultarEventosCriadosUseCase }