import { IEventoRepositorio } from './../../repositorios/IEventoRepositorio';
import { Evento } from '../../entidades/Evento.entity';


export class ConsultarParticipacoesEventoUseCase {

    constructor(private eventoRepositorio: IEventoRepositorio) {}

    async execute(eventoId: number): Promise<any> {
        const solicitacoes = await this.eventoRepositorio.getParticipacoes(eventoId)
        return solicitacoes    
    }
}