import { ConsultarParticipacoesEventoController } from './consultarParticipacoesEventoController';
import { ConsultarParticipacoesEventoUseCase } from './consultarParticipacoesEventoUseCase';
import { EventoRepositorio } from './../../repositorios/implementacao/EventoRepositorio';
const eventoRepositorio = new EventoRepositorio()
const consultarParticipacoesEventoUseCase = new ConsultarParticipacoesEventoUseCase(
    eventoRepositorio
)
const consultarParticipacoesEventoController = new ConsultarParticipacoesEventoController(
    consultarParticipacoesEventoUseCase
)

export { consultarParticipacoesEventoUseCase , consultarParticipacoesEventoController }