import { Usuario } from './../../entidades/Usuario.entity';
import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';
export class ConsultarUsuarioUseCase {

    constructor(private usuarioRepositorio: IUsuarioRepositorio) {}

    async execute(usuarioId: number): Promise<Usuario> {
        const usuario = await this.usuarioRepositorio.findById(usuarioId)
        return usuario    
    }
}