import { ConsultarUsuarioController } from './consultarUsuarioController';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';
import { ConsultarUsuarioUseCase } from './consultarUsuarioUseCase';

const usuarioRepositorio = new UsuarioRepositorio()
const consultarUsuarioUseCase = new ConsultarUsuarioUseCase(
    usuarioRepositorio
)
const consultarUsuarioController = new ConsultarUsuarioController(
    consultarUsuarioUseCase
)

export { consultarUsuarioController , consultarUsuarioUseCase }