import { TrocarSenhaController } from './trocarSenhaController';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';
import { TrocarSenhaUseCase } from './trocarSenhaUseCase';

const usuarioRepositorio = new UsuarioRepositorio()
const trocarSenhaUseCase = new TrocarSenhaUseCase(
    usuarioRepositorio
)
const trocarSenhaController = new TrocarSenhaController(
    trocarSenhaUseCase
)

export { trocarSenhaController , trocarSenhaUseCase }