import Foundation

extension String {
    func toShortFormat(_ data: String) -> String {
        let ano = data[0..<4]
        let mes = data[5..<7]
        let dia = data[8..<10]
        return "\(dia)/\(mes)/\(ano)"
    }
    
    func toFullFormat(_ data: String) -> String {
        let ano = data[0..<4]
        let mes = data[5..<7]
        let dia = data[8..<10]
        
        let hora = data[11..<13]
        let minuto = data[14..<16]
        return "\(dia)/\(mes)/\(ano) às \(hora):\(minuto) hrs"
    }
}
