import Foundation

struct ParticipacoesConfirmadasResponse: Decodable {
    var id: Int
    var assentos: [AssentosParticipacao]
}

struct AssentosParticipacao: Decodable {
    var id: Int
    var numeracao: Int
    var participante: ParticipanteConfirmado
}

struct ParticipanteConfirmado: Decodable {
    var id: Int
    var nome: String
    var email: String
    var foto: String
}

