import { Evento } from './../entidades/Evento.entity';
import { UpdateUsuarioDTO } from './dto/updateUsuarioDTO';
import { Usuario } from './../entidades/Usuario.entity';

export interface IUsuarioRepositorio {
    findById(id: number): Promise<Usuario>
    findByEmail(email: string): Promise<Usuario>
    salvar(usuario: Usuario): Promise<void>
    updateInformacoes(novasInformacoes: UpdateUsuarioDTO , usuario: number): Promise<void>
    updateFotoPerfil(imagemUsuario: string , usuario: number): Promise<void>
    updateSenha(novaSenha: string , usuario: number): Promise<void>
    consultarParticipacoes(usuarioId: number): Promise<any>
    getMeusEventos(id: number): Promise<any>
}