import { ApagarSolicitacaoController } from './apagarSolicitacaoController';
import { ApagarSolicitacaoUseCase } from './apagarSolicitacaoUseCase';
import { SolicitacaoRepositorio } from './../../repositorios/implementacao/SolicitacaoRepositorio';
const solicitacaoRepositorio = new SolicitacaoRepositorio()

const apagarSolicitacaoUseCase = new ApagarSolicitacaoUseCase(
   solicitacaoRepositorio
)
const apagarSolicitacaoController = new ApagarSolicitacaoController(
    apagarSolicitacaoUseCase
)

export { apagarSolicitacaoUseCase , apagarSolicitacaoController }