import { AtualizarFotoPerfilController } from './atualizarFotoPerfilController';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';
import { AtualizarFotoPerfilUseCase } from './atualizarFotoPerfilUseCase';

const usuarioRepositorio = new UsuarioRepositorio()
const atualizarFotoPerfilUseCase = new AtualizarFotoPerfilUseCase(
    usuarioRepositorio
)
const atualizarFotoPerfilController = new AtualizarFotoPerfilController(
    atualizarFotoPerfilUseCase
)

export { atualizarFotoPerfilController , atualizarFotoPerfilUseCase }