import { ConsultarEventoController } from './consultarEventoController';
import { EventoRepositorio } from './../../repositorios/implementacao/EventoRepositorio';
import { ConsultarEventoUseCase } from './consultarEventoUseCase';

const eventoRepositorio = new EventoRepositorio()
const consultarEventoUseCase = new ConsultarEventoUseCase(
    eventoRepositorio
)
const consultarEventoController = new ConsultarEventoController(
    consultarEventoUseCase
)

export { consultarEventoController , consultarEventoUseCase }