import { IUsuarioRepositorio } from './../../repositorios/IUsuarioRepositorio';

export class ConsultarParticipacoesUseCase {

    constructor(private usuarioRepositorio: IUsuarioRepositorio) {}

    async execute(usuarioId: number): Promise<any> {
        const eventos = await this.usuarioRepositorio.consultarParticipacoes(usuarioId)
        return eventos
    }
}