import { ConsultarParticipacoesController } from './consultarParticipacoesController';
import { ConsultarParticipacoesUseCase } from './consultarParticipacoesUseCase';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';


const usuarioRepositorio = new UsuarioRepositorio()
const consultarParticipacoesUseCase = new ConsultarParticipacoesUseCase(
    usuarioRepositorio
)
const consultarParticipacoesControler = new ConsultarParticipacoesController(
    consultarParticipacoesUseCase
)

export { consultarParticipacoesControler , consultarParticipacoesUseCase }