import { Solicitacao } from './../../entidades/Solicitacao.entity';
import { ISolicitacaoRepositorio } from './../../repositorios/ISolicitacaoRepositorio';
export class ConsultarSolicitacoesUseCase {

    constructor(private solicitacaoRepositorio: ISolicitacaoRepositorio) {}

    async execute(eventoId: number): Promise<Solicitacao[]> {
        const solicitacoes = await this.solicitacaoRepositorio.getSolicitacoes(eventoId)
        return solicitacoes
    }
}