import { ConsultarSolicitacoesController } from './consultarSolicitacoesController';
import { SolicitacaoRepositorio } from './../../repositorios/implementacao/SolicitacaoRepositorio';
import { ConsultarSolicitacoesUseCase } from './consultarSolicitacoesUseCase';

const solicitacaoRepositorio = new SolicitacaoRepositorio()
const consultarSolicitacoesUseCase = new ConsultarSolicitacoesUseCase(
    solicitacaoRepositorio
)
const consultarSolicitacoesController = new ConsultarSolicitacoesController(
    consultarSolicitacoesUseCase
)

export { consultarSolicitacoesUseCase , consultarSolicitacoesController }