import { LogarUsuarioController } from '././logarUsuarioController';
import { UsuarioRepositorio } from './../../repositorios/implementacao/UsuarioRepositorio';
import { LogarUsuarioUseCase } from './logarUsuarioUseCase';

const usuarioRepositorio = new UsuarioRepositorio()
const logarUsuarioUseCase = new LogarUsuarioUseCase(
    usuarioRepositorio
)
const logarUsuarioController = new LogarUsuarioController(
    logarUsuarioUseCase
)

export { logarUsuarioController , logarUsuarioUseCase }