import { RemoverParticipanteController } from './removerParticipanteController';
import { RemoverParticipanteUseCase } from './removerParticipanteUseCase';
import { AssentoRepositorio } from './../../repositorios/implementacao/AssentoRepositorio';
const assentoRepositorio = new AssentoRepositorio()
const removerParticipanteUseCase = new RemoverParticipanteUseCase(
    assentoRepositorio
)
const removerParticipanteController = new RemoverParticipanteController(
    removerParticipanteUseCase
)

export { removerParticipanteUseCase , removerParticipanteController }